Skip to main content
GET
/
certificates
Get all certificates
curl --request GET \
  --url https://test.didxtech.com/me-creds/api/certificates \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "status": "expired",
      "expiresAt": "<string>",
      "subjectKeyIdentifier": "<string>",
      "certificate": "<string>",
      "type": "verifierSignRequest",
      "keyType": "P-256",
      "capabilities": {
        "signMdl": true
      },
      "parentCertificateId": "<string>"
    }
  ],
  "links": {
    "self": "<string>",
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>",
    "related": "<string>"
  },
  "meta": {},
  "errors": [
    {
      "detail": "<string>",
      "id": "<string>",
      "status": "<string>",
      "code": "<string>",
      "title": "<string>",
      "source": {
        "pointer": "<string>",
        "parameter": "<string>"
      },
      "meta": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

filter[type]
enum<string>

Filter by certificate type

Available options:
verifierSignRequest,
issuerSignCredential,
verifierRoot,
issuerRoot,
issuerIntermediate,
verifierIntermediate
filter[keyType]
enum<string>

Filter by key type

Available options:
P-256,
Ed25519
filter[status]
enum<string>

Filter by certificate status

Available options:
expired,
active,
revoked,
pendingActivation,
inactive,
pendingRevocation
filter[parentCertificateId]
string

Filter by parent certificate ID

sort
enum<string>

Sort order. Prefix with "-" for descending

Available options:
createdAt,
-createdAt,
updatedAt,
-updatedAt,
expiresAt,
-expiresAt,
-id,
id,
type,
-type,
keyType,
-keyType,
parentCertificateId,
-parentCertificateId
page[size]
number

Items per page (1-100)

Required range: 1 <= x <= 100
page[before]
string

Cursor: return items before this ID

page[after]
string

Cursor: return items after this ID

Response

List of certificates

data
object[]
required
meta
object
errors
object[]